* {
	font-family: 'Quicksand';
	font-weight: normal;
}
html {
	background-color: #f9f9f9;
	background-position: center center;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size: cover;
}
body {
	margin: 0;
}
header {
	display: flex;
		flex-direction: row;
		justify-content: space-around;
		align-items: center;
	background-color: #f9f9f9;
	margin: 0;
	width: 100%;
	box-shadow: 0 0 25px black;
}
header img {
	/*transform: scale(0.7);*/
}
h1 {
	font-weight: bold;
}
h2 {
	color: white;
	text-align: center;
	margin-bottom: 6%;
	font-size: xx-large;
	text-shadow: 1px 1px black;
}
main {
	display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	width: 50%;
	margin-top: 7%;
	margin-left: auto;
	margin-right: auto;
}
main div {
	display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	border-radius: 10px;
	width: 100%;
	padding: 3% 1% 3% 1%;
}
main div * {
	margin-top: 2%;
	margin-bottom: 2%;
}
p {
	font-size: larger;
	color: white;
	text-align: center;
}
p, small {
	font-family: 'Quicksand';
	font-weight: normal;
	font-size: 20px;
}
p#username {
	color: black;
}
code {
	font-size: x-large;
	color: #ff5326;
	max-width: 90%;
	word-wrap: anywhere;
}
p, code {
	text-align: center;
}
a {
	color: #e97438;
}
a, button {
	background-color: white;
	border: 3px solid white;
	border-radius: 50px;
	text-decoration: none;
	padding-top: 2%;
	padding-bottom: 2%;
	padding-left: 5%;
	padding-right: 5%;
	color: #e97438;
	font-size: 18px;
	font-weight: bold;
}
a:hover, button:hover {
	border-color: #e97438;
	box-shadow: 0 0 5px black;
}
a#extralink {
	padding: 1%;
	display: block;
	width: fit-content;
	margin: auto;
	margin-top: 5%;
	box-shadow: 0 0 5px black;
}
button {
	/* font-size: medium; */
}
form {
	display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	width: 60%;
	margin-top: 10%;
	margin-left: auto;
	margin-right: auto;
	padding: 1%;
	color: #e97438;
	font-size: x-large;
}
form div {
	display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: flex-end;
		gap: 1%;
	width: 40%;
	margin-bottom: 1%;
}
form section {
	display: flex;
		flex-direction: row;
		align-items: center;
	border: 1px solid #e97438;
	border-radius: 25px;
	margin-left: 2%;
	padding: 5px;
	width: 60%;
}
form label {
	font-weight: bold;
}
form input {
	font-family: 'Quicksand';
	font-size: medium;
	margin-left: 5%;
	background-color: #f9f9f9;
}
form input:focus {
	outline: none;
}
form input#btn {
	/* font-family: 'Fredoka One'; */
	width: 20%;
	margin-top: 1%;
	background-color: #e97438;
	color: white;
	border: none;
	border-radius: 25px;
	padding: 1%;
	font-size: 20px;
}
form input#btn:hover {
	box-shadow: 0 0 5px black;
	cursor: pointer;
}
form input#time {
	/* text-align: right; */
}
form section label {
	font-family: 'Quicksand';
	font-size: medium;
	margin-right: 5%;
}
form div section input {
	border: none;
	width: 100%;
}
.err * {
	color: #d4012e;
	font-size: xx-large;
	font-weight: bold;
	margin-top: 15%;
}
.ok * {
	margin-bottom: 3%;
}
.ok p {
	/* font-family: 'Fredoka One'; */
	color: #e97438;
	font-size: x-large;
}
.ok a {
	border-color: #e97438;
	margin-top: 5%;
}
.ok code {
	margin-top: 5%;
	font-weight: bold;
}
.ok button {
	color: white;
	background-color: #e97438;
	border: none;
}
.pwd code {
	color: white;
	font-size: xx-large;
	/* text-shadow: 1px 1px #292929; */
}
.warn, .pwd {
	border: 1px solid rgb(255 255 255 / 50%);
	border-radius: 25px;
	background: rgb(255 255 255 / 15%);
	/*
	box-shadow:
		inset 0 1px 0 rgba(255,255,255,0.6),
		inset 0 -1px 0 rgba(255,255,255,0.15),
		0 8px 20px rgba(0,0,0,0.25);
	*/
	box-shadow:
		0 0 50px rgba(0,0,0,0.8),
		0 0 10px rgba(255,255,255,0.7);
	backdrop-filter: blur(12px);
	--webkit-backdrop-filter: blur(12px);
}
.warn p, .pwd p {
	max-width: 80%;
}

div.alert-light {
	background-color: #e97438;
	color: white;
}

div.alert-dark {
	background-color: white;
	color: #e97438;
}

div.alert-light, div.alert-dark {
	display: flex;
		justify-content: center;
		align-items: center;
	width: fit-content;
	margin-top: 2%;
	margin-left: auto;
	margin-right: auto;
	border-radius: 50px;
	opacity: 1;
	transition: opacity 0.5s;
}

div.alert-light p, div.alert-dark p {
	color: inherit;
	padding: 0 30px;
	text-wrap: nowrap;
	font-size: medium;
	font-weight: bold;
}

div.hidden {
	opacity: 0;
}

.bg-video {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 100%;
	width: 100%;
	z-index: -1;
}
.bg-video::before {
	content: '';
	display: block;
	height: 100%;
	width: 100%;
	background-image: linear-gradient(90deg, #192028 0%, #FAA61F8F 74%);
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 0;
}
.bg-video video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

@media screen and (width <= 1680px) {
	form div {
		width: 50%;
	}
}

@media screen and (width <= 1100px) {
	main {
		width: 65%;
	}
	form {
		width: 85%;
	}
}

@media screen and (width <= 680px) {
	main {
		width: 80%;
	}
	form {
		width: 100%;
	}
	form div {
		width: 75%;
	}
}

@media screen and (width <= 480px) {
	h1 {
		display: none;
	}
	header img {
		margin-top: 2%;
		margin-bottom: 2%;
	}
}
